gnu-smalltalk (3.1-6) 07_blox_can_use_tk_or_gtk.diff

Summary

 packages/blox/tests/init.st        |    6 ++++++
 packages/blox/tests/package.xml.in |    3 ++-
 2 files changed, 8 insertions(+), 1 deletion(-)

    
download this patch

Patch contents

Change BLOX loading to test loading Gtk version, then Tk.
--- orig/packages/blox/tests/init.st	1970-01-01 00:00:00 +0000
+++ mod/packages/blox/tests/init.st	2007-12-25 22:46:52 +0000
@@ -0,0 +1,6 @@
+Eval [
+    "Try to load Gtk first, then Tk"
+    [PackageLoader fileInPackage: 'BloxGTK']
+	on: Exception
+	do: [:ex | PackageLoader fileInPackage: 'BloxTK']
+]

--- orig/packages/blox/tests/package.xml.in	2007-12-24 15:29:45 +0000
+++ mod/packages/blox/tests/package.xml.in	2007-12-25 22:45:57 +0000
@@ -1,7 +1,8 @@
 <package>
   <name>Blox</name>
-  <prereq>@BLOX_IMPLEMENTATION@</prereq>
   <namespace>BLOX</namespace>
+  <filein>init.st</filein>
 
+  <file>init.st</file>
   <file>test.st</file>
 </package>